Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.faces.component.html
Enum HtmlPanelGroup.PropertyKeys

    java.lang.Object
      java.lang.Enum<HtmlPanelGroup.PropertyKeys>
          javax.faces.component.html.HtmlPanelGroup.PropertyKeys

All Implemented Interfaces:
  Serializable, Comparable<HtmlPanelGroup.PropertyKeys>

Enclosing class:
  HtmlPanelGroup

    protected static enum HtmlPanelGroup.PropertyKeys

extends Enum<HtmlPanelGroup.PropertyKeys>

Enum Constant Summary
`layout`
`style`
`styleClass`

Method Summary
`String` | `toString()`
`static HtmlPanelGroup.PropertyKeys` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static HtmlPanelGroup.PropertyKeys[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### layout

    public static final HtmlPanelGroup.PropertyKeys layout

### style

    public static final HtmlPanelGroup.PropertyKeys style

### styleClass

    public static final HtmlPanelGroup.PropertyKeys styleClass

Method Detail

### values

    public static HtmlPanelGroup.PropertyKeys[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (HtmlPanelGroup.PropertyKeys c : HtmlPanelGroup.PropertyKeys.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static HtmlPanelGroup.PropertyKeys valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  Overrides:
    `toString` in class `Enum<HtmlPanelGroup.PropertyKeys>`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2002-2009 Sun Microsystems, Inc. All Rights Reserved.